Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.plumtree.remote.prc.search
Class Field

    java.lang.Object
      com.plumtree.remote.prc.search.Field

Direct Known Subclasses:
  PlumtreeField

public class Field
extends java.lang.Object

Superclass of `PlumtreeField` and `PortalField`.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares this `Field` to the specified object.
`java.lang.String` | `getActualName()` Gets the programmatic name of the field for debugging.
`int` | `hashCode()` Returns a hash code for this `Field`.
`boolean` | `isRetrievable()` Checks whether the field is retrievable.

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### equals

    public boolean equals(java.lang.Object obj)

  Compares this `Field` to the specified object. The result is `true` if and only if the argument is not `null`, and is a `Field` object with the same name, retrievable property, and searchable property.

  Parameters:
    `obj` - the object to compare against this `Field` object
  Returns:
    `true` if the `Field`s are equal; otherwise `false`

### hashCode

    public int hashCode()

  Returns a hash code for this `Field`.

  Returns:
    hash code value for this `Field`

### isRetrievable

    public boolean isRetrievable()

  Checks whether the field is retrievable. Retrievable fields can be used in `IPortalSearchRequest.setFieldsToReturn()`.

  Returns:
    `true` if the field is retrievable

### getActualName

    public java.lang.String getActualName()

  Gets the programmatic name of the field for debugging.

  Returns:
    programmatic name of the field

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For additional information on the IDK, including tutorials, blogs, code samples and more,see the AquaLogic User Interaction Developer Center on BEA dev2dev.

Copyright ©2007 BEA Systems, Inc. All Rights Reserved.